EC_NODE_OPTION_SET_CHILD(3)

NAME
ec_node_option_set_child - Set the child of an option node.

SYNOPSIS
#include <ecoli/node_option.h>

int ec_node_option_set_child(
    struct ec_node   *gen_node,  /* The option node. */
    /*
     * The child node. It is consumed and will be freed when the parent is
     * freed, or immediately on error.
     */
    struct ec_node   *child
);

RETURN VALUE

0 on success, -1 on error (errno is set).

SEE ALSO

ec_node_option(3),

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.